/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestServlet.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.api.javax_faces.component.uipanel;

import com.sun.ts.tests.jsf.api.javax_faces.component.common.BaseComponentTestServlet;

import javax.faces.component.UIComponentBase;
import javax.faces.component.UIPanel;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;


public class TestServlet extends BaseComponentTestServlet {

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);     
        setRendererType(null);
        setRendersChildren(Boolean.FALSE);
    }


    /**
     * <p>Creates a new {@link javax.faces.component.UIComponent} instance.</p>
     * 
     * @return a new {@link javax.faces.component.UIComponent} instance.
     */
    @Override
    protected UIComponentBase createComponent() {
        return new UIPanel();
    }
    
// ------------------------------------------- Test Methods ----
    
  

}
